import 'package:rasadyar_app/presentation/routes/app_pages.dart';
import 'package:rasadyar_chicken/presentation/routes/routes.dart';
import 'package:rasadyar_core/core.dart';
import 'package:rasadyar_inspection/inspection.dart';
import 'package:rasadyar_livestock/presentation/routes/app_pages.dart';

class AppAuthRouteResolver implements AuthRouteResolver {
  @override
  String getAuthRouteForModule(Module module) {
    switch (module) {
      case Module.inspection:
        return InspectionRoutes.auth;
      case Module.liveStocks:
        return LiveStockRoutes.auth;
      case Module.chicken:
        return ChickenRoutes.auth;
      }
  }

  @override
  String getFallbackRoute() => AppPaths.moduleList;
}
